Bug 323434 - When using zoom in/out buttons always use 100% as one of the points to show
Summary: When using zoom in/out buttons always use 100% as one of the points to show
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: general (show other bugs)
Version: 0.16.5
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2013-08-12 21:28 UTC by Richard Moore
Modified: 2014-05-05 22:48 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Moore 2013-08-12 21:28:49 UTC
If you start with a fit-to-width or similar view point and use the zoom in/out buttons it would be nice if as you passed 100% if that was always one of the zooms used. For example, my current document shows 84.21%, 94.21%, 104.21% as I zoom in and out.


Reproducible: Always
Comment 1 Albert Astals Cid 2013-08-12 21:31:56 UTC
Makes sense to me.

Actually when implementing this feature it'd be a good idea to get some inspiration on what other document viewers do and think if it makes sense do something similar to what they do or not.
Comment 2 goekhan 2014-02-16 12:51:14 UTC
Hi, could I try to work on this feature? It would be my first contribution ever, that´s why I picked it from the junior jobs.
Comment 3 Albert Astals Cid 2014-02-16 17:06:32 UTC
Tingnan was workking on it at https://git.reviewboard.kde.org/r/112370/ but hasn't asnwered to my comment 1 month ago. Maybe you can pick up from what he build and finish it up?
Comment 4 Albert Astals Cid 2014-05-05 22:48:56 UTC
Git commit fad9c4e6fd532e0e80c019c6bc11b4c207d629db by Albert Astals Cid, on behalf of Tingnan Zhang.
Committed on 05/05/2014 at 22:43.
Pushed by aacid into branch 'master'.

Improvements to zoom behaviour

No need for double digit precision in the UI
ZoomIn/ZoomOut moves you through the well known steps + fit page, fit width; if you need any other you can always write it manually or use MMB zoom
Related: bug 323435
FIXED-IN: 4.14.0
REVIEW: 112370

M  +77   -16   ui/pageview.cpp
M  +2    -0    ui/pageview.h

http://commits.kde.org/okular/fad9c4e6fd532e0e80c019c6bc11b4c207d629db